Bug 970141 - [abrt] meshlab-1.3.2-1.fc19: nv30_emit_vtxattr: Process /usr/bin/meshlab was killed by signal 11 (SIGSEGV)
[abrt] meshlab-1.3.2-1.fc19: nv30_emit_vtxattr: Process /usr/bin/meshlab was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: meshlab (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
abrt_hash:217bbbc5989ea629b5ee3a57e0c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 10:23 EDT by Pratyush Sahay
Modified: 2015-02-17 10:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:26:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.60 KB, text/plain)
2013-06-03 10:23 EDT, Pratyush Sahay
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-03 10:23 EDT, Pratyush Sahay
no flags Details
File: core_backtrace (5.61 KB, text/plain)
2013-06-03 10:23 EDT, Pratyush Sahay
no flags Details
File: dso_list (19.43 KB, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: environ (1.34 KB, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: maps (96.61 KB, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: open_fds (463 bytes, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details
File: var_log_messages (683 bytes, text/plain)
2013-06-03 10:24 EDT, Pratyush Sahay
no flags Details

  None (edit)
Description Pratyush Sahay 2013-06-03 10:23:46 EDT
Description of problem:
Following is the seg fault error showing up:
$ meshlab
Current Plugins Dir is: /usr/lib64/meshlab/plugins 
    Reading Param with name MeshLab::Appearance::backgroundBotColor : RichColor
    Reading Param with name MeshLab::Appearance::backgroundTopColor : RichColor
    Reading Param with name MeshLab::Appearance::baseLightAmbientColor : RichColor
    Reading Param with name MeshLab::Appearance::baseLightDiffuseColor : RichColor
    Reading Param with name MeshLab::Appearance::baseLightSpecularColor : RichColor
    Reading Param with name MeshLab::Appearance::fancyBLightDiffuseColor : RichColor
    Reading Param with name MeshLab::Appearance::fancyFLightDiffuseColor : RichColor
    Reading Param with name MeshLab::Appearance::logAreaColor : RichColor
    Reading Param with name MeshLab::Appearance::pointDistanceAttenuation : RichBool
    Reading Param with name MeshLab::Appearance::pointSize : RichFloat
    Reading Param with name MeshLab::Appearance::pointSmooth : RichBool
    Reading Param with name MeshLab::Appearance::textureMagFilter : RichEnum
    Reading Param with name MeshLab::Appearance::textureMinFilter : RichEnum
    Reading Param with name MeshLab::Decoration::AreaHistParam : RichBool
    Reading Param with name MeshLab::Decoration::BoxRatio : RichFloat
    Reading Param with name MeshLab::Decoration::CameraFixedScaleParam : RichFloat
    Reading Param with name MeshLab::Decoration::CameraRenderScaleType : RichEnum
    Reading Param with name MeshLab::Decoration::CameraShowCameraDetails : RichBool
    Reading Param with name MeshLab::Decoration::FixedHistMaxParam : RichFloat
    Reading Param with name MeshLab::Decoration::FixedHistMinParam : RichFloat
    Reading Param with name MeshLab::Decoration::FixedHistWidthParam : RichFloat
    Reading Param with name MeshLab::Decoration::GridBack : RichBool
    Reading Param with name MeshLab::Decoration::GridColorBack : RichColor
    Reading Param with name MeshLab::Decoration::GridColorFront : RichColor
    Reading Param with name MeshLab::Decoration::GridMajor : RichFloat
    Reading Param with name MeshLab::Decoration::GridMinor : RichFloat
    Reading Param with name MeshLab::Decoration::GridSnap : RichBool
    Reading Param with name MeshLab::Decoration::HistBinNumParam : RichInt
    Reading Param with name MeshLab::Decoration::NormalLength : RichFloat
    Reading Param with name MeshLab::Decoration::ProjRasterAlpha : RichDynamicFloat
    Reading Param with name MeshLab::Decoration::ProjRasterLighting : RichBool
    Reading Param with name MeshLab::Decoration::ProjRasterOnAllMeshes : RichBool
    Reading Param with name MeshLab::Decoration::ProjRasterUseVBO : RichBool
    Reading Param with name MeshLab::Decoration::SSAORadius : RichFloat
    Reading Param with name MeshLab::Decoration::ShadowIntensityVal : RichDynamicFloat
    Reading Param with name MeshLab::Decoration::ShadowMethod : RichEnum
    Reading Param with name MeshLab::Decoration::ShowBorderFlag : RichBool
    Reading Param with name MeshLab::Decoration::ShowMeshCameras : RichBool
    Reading Param with name MeshLab::Decoration::ShowNonRegular : RichBool
    Reading Param with name MeshLab::Decoration::ShowRasterCameras : RichBool
    Reading Param with name MeshLab::Decoration::ShowSeparatrix : RichBool
    Reading Param with name MeshLab::Decoration::ShowShadow : RichBool
    Reading Param with name MeshLab::Decoration::TextureFaceColor : RichBool
    Reading Param with name MeshLab::Decoration::TextureStyle : RichBool
    Reading Param with name MeshLab::Decoration::UseFixedHistParam : RichBool
    Reading Param with name MeshLab::Decoration::VertDotSize : RichDynamicFloat
Shader directory found '/usr/share/meshlab/shaders', and it contains 19 gdp files
Shader directory found '/usr/share/meshlab/shaders/shadersrm', and it contains 5 rfx files
Segmentation fault (core dumped)

Version-Release number of selected component:
meshlab-1.3.2-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        meshlab /mnt/backup1/Datasets/Hampi/Dropbox_sir/Yali-Broken-1/yali_broken.ply
crash_function: nv30_emit_vtxattr
executable:     /usr/bin/meshlab
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 nv30_emit_vtxattr at nv30_vbo.c:49
 #2 nv30_vbo_validate at nv30_vbo.c:232
 #3 nv30_state_validate at nv30_state_validate.c:487
 #4 nv30_draw_vbo at nv30_vbo.c:564
 #5 u_vbuf_draw_vbo at util/u_vbuf.c:1252
 #6 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
 #7 vbo_draw_arrays at ../../src/mesa/vbo/vbo_exec_array.c:624
 #8 QGL2PaintEngineExPrivate::fill at gl2paintengineex/qpaintengineex_opengl2.cpp:740
 #9 QPaintEngineEx::fillRect at painting/qpaintengineex.cpp:700
 #11 QPainter::fillRect at painting/qpainter.cpp:7175
Comment 1 Pratyush Sahay 2013-06-03 10:23:51 EDT
Created attachment 756324 [details]
File: backtrace
Comment 2 Pratyush Sahay 2013-06-03 10:23:54 EDT
Created attachment 756325 [details]
File: cgroup
Comment 3 Pratyush Sahay 2013-06-03 10:23:58 EDT
Created attachment 756326 [details]
File: core_backtrace
Comment 4 Pratyush Sahay 2013-06-03 10:24:02 EDT
Created attachment 756327 [details]
File: dso_list
Comment 5 Pratyush Sahay 2013-06-03 10:24:05 EDT
Created attachment 756328 [details]
File: environ
Comment 6 Pratyush Sahay 2013-06-03 10:24:08 EDT
Created attachment 756329 [details]
File: limits
Comment 7 Pratyush Sahay 2013-06-03 10:24:12 EDT
Created attachment 756330 [details]
File: maps
Comment 8 Pratyush Sahay 2013-06-03 10:24:15 EDT
Created attachment 756331 [details]
File: open_fds
Comment 9 Pratyush Sahay 2013-06-03 10:24:19 EDT
Created attachment 756332 [details]
File: proc_pid_status
Comment 10 Pratyush Sahay 2013-06-03 10:24:22 EDT
Created attachment 756333 [details]
File: var_log_messages
Comment 11 Pratyush Sahay 2013-06-04 00:11:33 EDT
This seems to be happening only on a system running on nouveau driver.
$ glxinfo | grep -i opengl
OpenGL vendor string: nouveau
OpenGL renderer string: Gallium 0.4 on NV44
OpenGL version string: 2.1 Mesa 9.2.0
OpenGL shading language version string: 1.20

When i switch to using Software Rendering (Cinnamon), meshlab opens normally.
Comment 12 Eric Smith 2013-06-04 04:20:18 EDT
I don't think I'll be able to do anything about this. I strongly encourage you to report this upstream to the Meshlab developers.
Comment 13 Fedora End Of Life 2015-01-09 13:18:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:26:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.